package com.bawei.es.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel("文档查询")
public class DocumentListReq {

    @ApiModelProperty(value = "索引名称",required = true)
    @NotNull(message = "索引名称不能为空")
    private String indexName;
    @ApiModelProperty(value = "全文检索", required = false)
    private String keyWord;
    @ApiModelProperty(value = "分页参数", required = false)
    private BasePage basePage;
    @ApiModelProperty("检索字段")
    private List<String> queryFields;
    @ApiModelProperty("返回字段")
    private List<String> returnFields;

}
