package com.bawei.es.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Map;

@Data
@ApiModel("索引信息")
public class IndexEntry {
    @ApiModelProperty(value = "索引名称",required = true)
    @NotNull(message = "索引名称不能为空")
    private String indexName;
    @ApiModelProperty(value = "索引mapping",required = false)
    private Map<String,Object> indexMapping;
    @ApiModelProperty(value = "索引參數",required = false)
    private Map<String,Object> settings;
}
