package com.bawei.es;

import HomeWork.common.security.annotation.EnableCustomConfig;
import HomeWork.common.security.annotation.EnableRyFeignClients;
import HomeWork.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class EsApp {
    public static void main(String[] args) {
        SpringApplication.run(EsApp.class);
    }
}
