#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../HomeWork-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy HomeWork-gateway "
cp ../HomeWork-gateway/target/HomeWork-gateway.jar ./ruoyi/gateway/jar

echo "begin copy HomeWork-auth "
cp ../HomeWork-auth/target/HomeWork-auth.jar ./ruoyi/auth/jar

echo "begin copy HomeWork-visual "
cp ../HomeWork-visual/HomeWork-monitor/target/HomeWork-visual-monitor.jar  ./ruoyi/visual/monitor/jar

echo "begin copy HomeWork-modules-system "
cp ../HomeWork-modules/HomeWork-system/target/HomeWork-modules-system.jar ./ruoyi/modules/system/jar

echo "begin copy HomeWork-modules-file "
cp ../HomeWork-modules/HomeWork-file/target/HomeWork-modules-file.jar ./ruoyi/modules/file/jar

echo "begin copy HomeWork-modules-job "
cp ../HomeWork-modules/HomeWork-job/target/HomeWork-modules-job.jar ./ruoyi/modules/job/jar

echo "begin copy HomeWork-modules-gen "
cp ../HomeWork-modules/HomeWork-gen/target/HomeWork-modules-gen.jar ./ruoyi/modules/gen/jar

