package HomeWork.service;

import HomeWork.common.core.domain.R;
import HomeWork.domain.dto.PlotDto;
import HomeWork.domain.vo.PlotVo;
import HomeWork.domain.vo.TreeVo;
import HomeWork.domain.vo.UnitVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface TreeService {
    List<TreeVo> treeList();


    List<PlotVo> plotList(Integer id);

    R add(PlotDto plotDto);

    List<TreeVo> treeListByTreeParentId(Integer parentId);

    R file(MultipartFile file);

    List<UnitVo> unitListById(String id);

}
