package com.bawei.es.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("文档删除")
@Data
public class DocumentDelReq {
    @ApiModelProperty(value = "索引名称",required = true)
    @NotNull(message = "索引名称不能为空")
    private String indexName;
    @ApiModelProperty(value = "文档id", required = true)
    @NotNull(message = "id不能为空")
    private List<String> ids;
}
