package HomeWork;

import HomeWork.common.security.annotation.EnableCustomConfig;
import HomeWork.common.security.annotation.EnableRyFeignClients;
import HomeWork.common.swagger.annotation.EnableCustomSwagger2;
import com.bawei.es.remote.api.RemoteEsDocService;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
@ComponentScan(basePackageClasses = {RemoteEsDocService.class},basePackages = {"HomeWork","com.bawei"})
public class HomeWorkKafkaApp {
    public static void main(String[] args) {
        SpringApplication.run(HomeWorkKafkaApp.class);
    }
}
