package HomeWork.system.test;

import HomeWork.system.utils.Base64Util;
import com.baidu.aip.face.AipFace;
import com.baidu.aip.face.MatchRequest;
import org.json.JSONObject;

import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;

public class test {
    public static void main(String[] args) throws Exception {
        /**
         * 传入appId、apiKey、secretkey。创建Java代码和百度云交互的Client对象
         */
        AipFace client = new AipFace("47745660", "ZEaoK2kFZsLdYQkt8sGrUq6M", "DcFgxv6hTgvPoENNpwKfo9CCGeXqFOAU");

        // 登录图片
        String loginImagePath = "D:\\Camera Roll\\WIN_20240101_18_50_58_Pro.jpg";
        // 对比的图片
        String comparedImagePath = "D:\\Camera Roll\\WIN_20240101_18_50_58_Pro.jpg";

        Double faceComparison = faceComparison(client, loginImagePath, comparedImagePath);
        System.out.println("返回信息："+faceComparison);
    }

    static Double faceComparison(AipFace client, String loginImagePath, String comparedImagePath) throws Exception {
        byte[] loginImageBytes = Files.readAllBytes(Paths.get(loginImagePath));
        byte[] comparedImageBytes = Files.readAllBytes(Paths.get(comparedImagePath));
        String image1 = Base64Util.encode(loginImageBytes);
        String image2 = Base64Util.encode(comparedImageBytes);

        // image1/image2也可以为url或facetoken, 相应的imageType参数需要与之对应。
        MatchRequest req1 = new MatchRequest(image1, "BASE64");
        MatchRequest req2 = new MatchRequest(image2, "BASE64");
        ArrayList<MatchRequest> requests = new ArrayList<>();
        requests.add(req1);
        requests.add(req2);

        JSONObject match = client.match(requests);
        System.out.println(match.toString(2));
        return match.getJSONObject("result").getDouble("score");
    }
}
